Index: fs/jffs2/erase.c
===================================================================
RCS file: /home/cvs/mtd/fs/jffs2/erase.c,v
retrieving revision 1.92
diff -u -r1.92 erase.c
--- fs/jffs2/erase.c	21 Jan 2006 21:50:44 -0000	1.92
+++ fs/jffs2/erase.c	9 Mar 2006 19:54:57 -0000
@@ -388,15 +388,14 @@
 	} else {
 
 		struct kvec vecs[1];
-		struct jffs2_raw_ebh ebh = {
-			.magic =        cpu_to_je16(JFFS2_MAGIC_BITMASK),
-			.nodetype =     cpu_to_je16(JFFS2_NODETYPE_ERASEBLOCK_HEADER),
-			.totlen =       cpu_to_je32(c->ebh_size),
-			.reserved =     0,
-			.compat_fset =  JFFS2_EBH_COMPAT_FSET,
-			.incompat_fset = JFFS2_EBH_INCOMPAT_FSET,
-			.rocompat_fset = JFFS2_EBH_ROCOMPAT_FSET,
-		};
+
+                memset(&marker, 0, sizeof(marker));
+                marker.magic         = cpu_to_je16(JFFS2_MAGIC_BITMASK);
+                marker.nodetype      = cpu_to_je16(JFFS2_NODETYPE_ERASEBLOCK_HEADER);
+                marker.totlen        = cpu_to_je32(c->cleanmarker_size);
+                marker.compat_fset   = JFFS2_EBH_COMPAT_FSET;
+                marker.incompat_fset = JFFS2_EBH_INCOMPAT_FSET;
+                marker.rocompat_fset = JFFS2_EBH_ROCOMPAT_FSET;
 
 		ebh_ref = jffs2_alloc_raw_node_ref();
 		if (!ebh_ref) {
